import java.math.*;

public class SignalService extends Service {
	public double table[];
	public int index, size;
	SignalService(double iPhase, int iSize) {
		table = new double[iSize];
		size = iSize;
		setPhase(iPhase);
		index = 0;
		initTable();
		
	}
	public void initTable() {
		int i; for(i=0;  i<size; i++)
		{ table[i] = 0; };
	}
	public double next() {
		int max = size - 1;
		double val = table[index];
		index++;
		if(index > max) { index = 0; };
		return val;
	}
	public int intNext(int scale) {
		
		return ((int) (Math.round(next() * scale)));
	}
	public void setPhase(double inPhase) {
		index = (int) Math.round(size * inPhase);
	}

}