import java.util.*;
import java.math.*;
import java.applet.Applet;
import java.awt.*;
import java.net.*;

/////////////thread stuff//////////////

public class AbstractLimzServer extends Applet {
	
	public Thread timerThread;
  	public volatile boolean noStopRequested;
  	public boolean paused;
 	public final Object pauseLock = new Object();


public void startThread() {
     		paused = true;
     		noStopRequested = true;

     		// Use this inner class to hide the public run method
    		 Runnable r = new Runnable() {
      			 public void run() {
       			  runWork();
      			 }
     		};
    		 timerThread = new Thread(r, "Timer");
    		 timerThread.start();
     		  }
public void stopThread() {
    	noStopRequested = false;
   	 timerThread.interrupt();
      }


public void doIt() {   //override in subclass
		repaint(); 
	} 
public void runWork() { 
       //curFrame = 0;

    try {
        while ( noStopRequested ) {
        waitWhilePaused();
	doIt();

       

        Thread.sleep(300);
      }
    } catch ( InterruptedException x ) {
      // reassert interrupt
     Thread.currentThread().interrupt();
     System.out.println("interrupt and return from run");
    }
  }

  public void setPaused(boolean newPauseState) {
    synchronized ( pauseLock ) {
      if ( paused != newPauseState ) {
        paused = newPauseState;
        pauseLock.notifyAll();
      }
    }
  }

  public void waitWhilePaused() throws InterruptedException {
    synchronized ( pauseLock ) {
      while ( paused ) {
        pauseLock.wait();
      }
    }
  }

}