import java.util.*;
import java.math.*;
import java.applet.Applet;
import java.awt.*;
import java.net.*;

public class LimzServer extends Applet implements Updateable {
		
	public Image[] bilder;
	public LThread thread;
	public Pool pool = new Pool();
	public String message = new String();
	
	
	public SineService red, green, blue;
	public SineService x, y;
	public SineService px, py;

	public int width, height;
		
	
	public void init() {
		Rectangle bounds = getBounds();
		width = bounds.width;
		height = bounds.height;
		red = new SineService(0, Math2.intRand(100)+100);
		green = new SineService(0.6, Math2.intRand(100)+100);
		blue = new SineService(2.0, Math2.intRand(100)+100);
		x = new  SineService(Math2.randPhase(), Math2.intRand(100)+100);
		y = new SineService(Math2.randPhase(), Math2.intRand(100)+100);
		px = new  SineService(Math2.randPhase(), Math2.intRand(100)+100);
		py = new SineService(Math2.randPhase(), Math2.intRand(100)+100);
		//loadImages();
		
		move();
		pool.bgColor = Color.blue;
		pool.theFarb = Color.green;
		initThread();

	}
	public void initThread() {
		thread = new LThread(this, Math2.intRand(80)+30);
		thread.startThread();
		
	}
	public void start() {
		
		thread.setPaused(false);
		update();
		
	}
	public void stop() {
		 thread.setPaused(true);
	}
	
	public void update() {
			/*
			if(coin(0.1)) {
				//randFarb();
				nextFarb();
				//message = getBounds().toString();
			};
			*/
			/*
			if(Math2.coin(0.2)) {
				move();
						
			};
			*/
			move();
			nextFarb();
			//randFarb();
		 	repaint();
	}

///////////// random //////////////

	

	public void randFarb() {
		//pool.theFarb = new Color(intRand(255));
		pool.theFarb = Math2.randColor();
		pool.bgColor = Math2.randColor();
	}

	public void nextFarb() {
		
		pool.theFarb = new Color(
			(float) Math.abs(red.next()),
			(float) Math.abs(green.next()),
			(float) Math.abs(blue.next())
		);
		pool.bgColor = pool.theFarb;

	}

	public void move() {
		pool.x = px.posIntNext(width);
		pool.y = py. posIntNext(height);		

	}

//////////////// Graphics ///////////////////

	public void paintBackground (Graphics g, Color c) {

		g.setColor(c);
		g.fillRect(0,0, width, height);
	}
	
	public void line (Graphics g, Color c) {
			g.setColor(c);
			g.drawLine(x.intNext(width), y.intNext(height), pool.x, pool.y);
			//g.drawLine(intRand(width), intRand(height), pool.x, pool.y);
			
	}
	public void endPoints (Graphics g, Color c, int size) {
			g.setColor(c);
			g.fillOval(x.posIntNext(width-size), y. posIntNext(height-size), size, size);
			g.fillOval(pool.x-size, pool.y-size, size, size);
			
	}
	public void paint (Graphics g) {
		paintBackground(g, Color.black);
		line(g, pool.theFarb);


		//g.drawImage(bilder[0], 0, 0,  this);
		//g.drawString(message, 0, 15);

	}


	

///////////////////// Bilder //////////////////////////

	private void loadImages() {
		URL path = null;
   		 try {
     			 path = new URL("http://127.0.0.1/limz/");
			} catch (java.net.MalformedURLException ex) {
     			 	System.out.println("Bad URL");
				pool.theWort = path.toString();
			return;
		};
	
	 bilder[0] = getImage(path, "quantum.jpg");
	//int i; int n;
	//n = names.length();
	//for(i=0; i<n; i++) { bilder[i] = getImage(path, names[i]); };
    	

	}
	
	public void destroy() {
    		thread.stopThread();

 		   for (int i = 0; i < bilder.length; i++) {
  		     bilder[i].flush();
  		     bilder[i] = null;
  		  }

  		  bilder = null;
 	 }

	
}